Package healpix.essentials

# Class MocQuery.MocQueryComponent

java.lang.Object
healpix.essentials.MocQuery.MocQueryComponent

Enclosing class:
  MocQuery

public static class MocQuery.MocQueryComponent extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`Vec3`
`center`
`int`
`nops`
`MocQuery.MocQueryOp`
`op`
`double`
`radius`

## Constructor Summary

Constructors
Constructor
Description
`MocQueryComponent(MocQuery.MocQueryOp op_)`
`MocQueryComponent(MocQuery.MocQueryOp op_, int nops_)`
`MocQueryComponent(Vec3 cnt, double rad)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### op

public MocQuery.MocQueryOp op

### center

public Vec3 center

### radius

public double radius

### nops

public int nops

## Constructor Details

### MocQueryComponent

public MocQueryComponent(MocQuery.MocQueryOp op_) throws Exception

Throws:
  `Exception`

### MocQueryComponent

public MocQueryComponent(MocQuery.MocQueryOp op_, int nops_) throws Exception

Throws:
  `Exception`

### MocQueryComponent

public MocQueryComponent(Vec3 cnt, double rad)